import autoImport from 'unplugin-auto-import/vite'
import Components from 'unplugin-vue-components/vite'
import { VantResolver } from 'unplugin-vue-components/resolvers'

const importsModules = [ 'vue', 'vue-router' ] as any

export function createAutoImport() {
  return [
    autoImport({
      include: [
        /\.[tj]sx?$/, // .ts, .tsx, .js, .jsx
        /\.vue$/, /\.vue\?vue/, // .vue
        /\.md$/ // .md
      ],
      imports: importsModules,
      dts: 'types/auto-imports.d.ts',
      dirs: [ 'src/store' ]
    }),
    Components({
      resolvers: [ VantResolver() ],
      dts: 'types/plugins-auto-import.d.ts'
    })
  ]
}
