import type { PropType, CSSProperties as VueCSSProperties } from 'vue'
import type { CSSObject as ProCssObject } from 'ant-design-vue'

declare global {
  const __APP_INFO__: {
    pkg: {
      name: string;
      version: string;
      dependencies: RecordType;
      devDependencies: RecordType;
    };
    lastBuildTime: string;
  }

  declare interface LocalResult {
    value: any;
    time: string;
    expired: number;
  }

  declare type VuePropType<T> = PropType<T>
  declare type CSSObject = ProCssObject
  declare type CSSProperties = VueCSSProperties

  declare type RecordType<T = string, K = any> = Record<T, K>

  declare interface ViteEnv {
    VITE_USE_MODE: string;
    VITE_USE_CDN: boolean;
    VITE_USE_MOCK: boolean;
    VITE_USE_V_CONSOLE: boolean;
    VITE_NODE_ENV: string;
    VITE_BASE_URL: string;
    VITE_APP_ENV: string;
    VITE_DROP_CONSOLE: boolean;
  }

  declare type ViteEnvKey = keyof ViteEnv
}
